package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.springframework.web.bind.annotation.RequestHeader;

import java.math.BigDecimal;

public interface AmountService {

    //我的钱包-我的余额
    public Result<?> queryBalance(@RequestHeader("X-Access-Token") String token);

    //我的钱包-累计提现
    public Result<?> CountCashOut(@RequestHeader("X-Access-Token") String token);

    //我的钱包-提现
    public Result<?> CashOut(@RequestHeader("X-Access-Token") String token);

    //我的钱包-充值
    public Result<?> recharge(@RequestHeader("X-Access-Token") String token, BigDecimal price);

    //支付回调
    Object payNotify(String requestBody);

    //我的钱包-金额明细
    public Result<?> amountLog(@RequestHeader("X-Access-Token") String token, String type, PageBean pageBean);
}
